CHECK_RABBITMQ_SHOVELS(1p)

NAME
check_rabbitmq_shovels - Nagios plugin to check that all shovels of the given RabbitMQ host are running

SYNOPSIS
    check_rabbitmq_shovels --hostname <host>
    check_rabbitmq_shovels { --help | --man | --version }

OPTIONS

  Program options

-H, --hostname string
    Specify the RabbitMQ host to query. Defaults to "localhost".

-P, --port number
    Specify the port number to query RabbitMQ on. Defaults to 55672.

-u, --user, --username string
    Specify the username. Defaults to "guest".

-p, --pass, --password string
    Specify the password. Defaults to "guest".

-t, --timeout duration
    Specify the timeout period in seconds. Defaults to 5.

  Help options

-?, --usage
    Print a short usage description, then exit.

-h, --help
    Print a more detailed help screen, then exit.

-V, --version
    Print the program name and version, then exit.

DESCRIPTION
This program is a Nagios plugin that uses the JSON over HTTP API to check that all shovels of the given RabbitMQ host are running. The default settings match the standard installation of RabbitMQ.

The check returns "OK" if all shovels are running, "WARNING" if one or more shovels are blocked, "CRITICAL" if one or more shovels are terminated.

EXAMPLES
With default settings, only the hostname need to be specified:

    check_rabbitmq_shovels -H <host>

It prints the global status and the details of the shovels, by decreasing order or criticity:

    RABBITMQ_SHOVELS OK - 3 running shovels: klonk zlott swish

    RABBITMQ_SHOVELS WARNING - 1 blocked shovel: klonk, 2 running shovels: zlott swish

    RABBITMQ_SHOVELS CRITICAL - 1 terminated shovel: zlott, 1 blocked shovel: klonk, 1 running shovel: swish

In the case of an API error, the program will give an appropriate diagnostic:

    RABBITMQ_SHOVELS CRITICAL - API error: 401 Unauthorized

    RABBITMQ_SHOVELS CRITICAL - API error: 500 Can't connect to <host>:<port>

    RABBITMQ_SHOVELS CRITICAL - API error: could not parse JSON: malformed JSON string

    RABBITMQ_SHOVELS CRITICAL - API error: empty JSON

SEE ALSO
See Monitoring::Plugin

The RabbitMQ management plugin is described at <http://www.rabbitmq.com/management.html>

LICENSE
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

AUTHOR
Sebastien Aperghis-Tramoni (sebastien@aperghis.net)